export PATH:=$(shell go env GOPATH)/bin:$(PATH)
export EV_DATA=mem:
export EV_HTTP=:8080
export WEBFINGER_DOMAINS=localhost

.DEFAULT_GOAL := air

-include local.mk


air: gen
ifeq (, $(shell which air))
	go install github.com/cosmtrek/air@latest
endif
	air .

run:
	go build . && ./tools

test:
	go test -cover -race ./...

GQLS=gqlgen.yml
GQLS:=$(GQLS) $(wildcard app/*/*.graphqls)
GQLS:=$(GQLS) $(wildcard app/*/*.go)
GQLSRC=internal/graph/generated/generated.go

clean:
	rm -f "$(GQLSRC)" 
gen: gql
gql: $(GQLSRC)
$(GQLSRC): $(GQLS)
ifeq (, $(shell which gqlgen))
	go install github.com/99designs/gqlgen@latest
endif
	gqlgen

clean:

